Summary: Una rubrica per Gnome 
Name: rubrica
Version: 0.4
Release: 1
Copyright: GPL
Group: Gnome/Tools
Vendor: Nicola Fragale <nicolafragale@libero.it>
Packager: Nicola Fragale <nicolafragale@libero.it>
Source: rubrica-%PACKAGE_VERSION.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root

%description
Una rubrica per gnome.
Rubrica nasce dall'esigenza di effettuare dei test 
sulle librerie Gtk+ e Gnome che stavo studiando.

Desidero ringraziare Dennis Smit, curatore della 
localizzazione in olandese del programma.

A Gnome address book
Rubrica is my need to test gtk+ and gnome library

I wish to thank Dennis Smit, for Dutch translation.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
# NOTA:
# install xxx $RPM_BUILD_ROOT/xxx
# sintassi install: install sorg dest
# per costruire l'rpm bisogna simulare l'installazione. 
# Install copia i file sorg in dest. I sorg della compilazione stanno: 
# rubrica in src/, le immagini in pixmaps/. Allora la sintassi  
# install dir/file/ $RPM_BUILD_ROOT/dest

mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica
mkdir -p $RPM_BUILD_ROOT/usr/local/rubrica
mkdir -p $RPM_BUILD_ROOT/usr/local/share/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications

install  src/rubrica $RPM_BUILD_ROOT/usr/local/bin/rubrica

install  po/it.gmo $RPM_BUILD_ROOT/usr/local/share/locale/it/LC_MESSAGES/rubrica.mo

install  pixmaps/cellphone.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/cellphone.png
install  pixmaps/calabria.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/calabria.xpm
install  pixmaps/envelope.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/envelope.png
install  pixmaps/evolution-contacts.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/evolution-contacts.png
install  pixmaps/evolution-calendar.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/evolution-calendar.png
install  pixmaps/rubrica.jpg $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/rubrica.jpg
install  pixmaps/house.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/house.png
install  pixmaps/gnome-talk.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/gnome-talk.png
install  pixmaps/gnome.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/gnome.png
install  pixmaps/gnome-fax.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/gnome-fax.png
install  pixmaps/gnome-ccdesktop.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/gnome-ccdesktop.png
install  pixmaps/globe.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/globe.png
install  pixmaps/evolution.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/evolution.png
install  pixmaps/evolution-notes.png $RPM_BUILD_ROOT/usr/share/pixmaps/rubrica/evolution-notes.png
#install  pixmaps/gnome-gnomecard.png $RPM_BUILD_ROOT/usr/share/pixmaps/gnome-gnomecard.png

install  rubrica.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications/rubrica.desktop



# per la privacy rubrica.xml non va incluso nel pacchetto
# install  rubrica.xml $RPM_BUILD_ROOT/usr/local/rubrica/rubrica.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYING AUTHORS
/usr/local/bin/rubrica
/usr/local/share/locale/it/LC_MESSAGES/rubrica.mo
/usr/share/pixmaps/rubrica/cellphone.png
/usr/share/pixmaps/rubrica/calabria.xpm
/usr/share/pixmaps/rubrica/evolution-calendar.png
/usr/share/pixmaps/rubrica/evolution-contacts.png
/usr/share/pixmaps/rubrica/rubrica.jpg
/usr/share/pixmaps/rubrica/house.png
/usr/share/pixmaps/rubrica/gnome-talk.png
/usr/share/pixmaps/rubrica/gnome.png
# /usr/share/pixmaps/rubrica/gnome-gnomecard.png
/usr/share/pixmaps/rubrica/gnome-fax.png
/usr/share/pixmaps/rubrica/gnome-ccdesktop.png
/usr/share/pixmaps/rubrica/globe.png
/usr/share/pixmaps/rubrica/evolution.png
/usr/share/pixmaps/rubrica/evolution-notes.png
/usr/share/gnome/apps/Applications/rubrica.desktop
# /usr/local/rubrica/rubrica.xml



